# Barry::Error Class Reference
[Exceptions]

`#include <error.h>`

Inheritance diagram for Barry::Error:

[legend]
Collaboration diagram for Barry::Error:

[legend]

List of all members.

## Detailed Description

The base class for any future derived exceptions.

Can be thrown on any protocol error.

Definition at line 41 of file error.h.

The documentation for this class was generated from the following file:

- error.h